Public Member Functions | Private Attributes

# VideoDriver_Null Class Reference

The null video driver. More...

`#include <null_v.h>`

Inheritance diagram for VideoDriver_Null:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | MakeDirty (int left, int top, int width, int height)
| Mark a particular area dirty.
void | MainLoop ()
| Perform the actual drawing.
bool | ChangeResolution (int w, int h)
| Change the resolution of the window.
bool | ToggleFullscreen (bool fullscreen)
| Change the full screen setting.
const char * | GetName () const
| Get the name of this driver.
bool | HasGUI () const
| Whether the driver has a graphical user interface with the end user.
## Private Attributes
uint | ticks
| Amount of ticks to run.

## Detailed Description

The null video driver.

Definition at line 18 of file null_v.h.

## Member Function Documentation

bool VideoDriver_Null::ChangeResolution | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Change the resolution of the window.

Parameters:

  | w | The new width.
  | h | The new height.

Returns:
  True if the change succeeded.

Implements VideoDriver.

Definition at line 53 of file null_v.cpp.

const char* VideoDriver_Null::GetName | ( |  | ) | const`[inline, virtual]`

Get the name of this driver.

Returns:
  The name of the driver.

Implements Driver.

Definition at line 34 of file null_v.h.

bool VideoDriver_Null::HasGUI | ( |  | ) | const`[inline, virtual]`

Whether the driver has a graphical user interface with the end user.

Or in other words, whether we should spawn a thread for world generation and NewGRF scanning so the graphical updates can keep coming. Otherwise progress has to be shown on the console, which uses by definition another thread/process for display purposes.

Returns:
  True for all drivers except null and dedicated.

Reimplemented from VideoDriver.

Definition at line 35 of file null_v.h.

void VideoDriver_Null::MakeDirty | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Mark a particular area dirty.

Parameters:

  | left | The left most line of the dirty area.
  | top | The top most line of the dirty area.
  | width | The width of the dirty area.
  | height | The height of the dirty area.

Implements VideoDriver.

Definition at line 41 of file null_v.cpp.

const char * VideoDriver_Null::Start | ( | const char *const * | parm | ) | `[virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 20 of file null_v.cpp.

References _cur_resolution, DEBUG, GetDriverParamInt(), BlitterFactoryBase::SelectBlitter(), and ticks.

bool VideoDriver_Null::ToggleFullscreen | ( | bool | fullscreen | ) | `[virtual]`

Change the full screen setting.

Parameters:

  | fullscreen | The new setting.

Returns:
  True if the change succeeded.

Implements VideoDriver.

Definition at line 55 of file null_v.cpp.

The documentation for this class was generated from the following files:

- src/video/null_v.h
- src/video/null_v.cpp